Package Gnumed :: Package pycommon :: Module gmHooks |
[frames] | no frames]

# Module gmHooks

source code

    GNUmed hooks framework.

    This module provides convenience functions and definitions
    for accessing the GNUmed hooks framework.

    This framework calls the script

            ~/.gnumed/scripts/hook_script.py

    at various times during client execution. The script must
    contain a function

    def run_script(hook=None):
            pass

    which accepts a single argument <hook>. That argument will
    contain the hook that is being activated.

Version: $Revision: 1.18 $

Author: K. Hilbert <Karsten.Hilbert@gmx.net>

License: GPL v2 or later (details at http://www.gnu.org)

Functions
import_hook_module(reimport=False) | source code
run_hook_script(hook=None) | source code

Variables
| known_hooks = ``[``u'``post_patient_activation``'``,` `u'``post_person_creat``...``
| hook_module = `None`
| __package__ = ``'``Gnumed.pycommon``'``
| hook = ``u'``db_maintenance_warning``'``

Imports: os, sys, stat, logging, gmDispatcher, gmTools

Variables Details

  ### known_hooks Value:
      [u'post_patient_activation',
       u'post_person_creation',
       u'shutdown-post-GUI',
       u'startup-after-GUI-init',
       u'startup-before-GUI',
       u'request_user_attention',
       u'app_activated_startup',
       u'app_activated',
      ...